org.apache.http.auth

## Enum ChallengeState

- java.lang.Object
- - java.lang.Enum<ChallengeState>
  - - org.apache.http.auth.ChallengeState

- All Implemented Interfaces:
    Serializable, Comparable<ChallengeState>

      public enum ChallengeState
      extends Enum<ChallengeState>

  Challenge mode (TARGET or PROXY)
  Since:
    4.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PROXY`
    `TARGET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChallengeState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChallengeState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TARGET

          public static final ChallengeState TARGET

    - #### PROXY

          public static final ChallengeState PROXY

  - ### Method Detail

    - #### values

          public static ChallengeState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChallengeState c : ChallengeState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChallengeState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.